commit 74b960b5f321655af7aa0f2ae77116f2d5139c2a
Author: Nick Schermer <nick@xfce.org>
Date:   Fri May 21 18:48:24 2010 +0200

    Updates for release.

commit 4e1ecd243c1ab8a8cc2837e741eff4b1389d3e9c
Author: Gheyret Kenji <gheyret@yahoo.com>
Date:   Wed May 19 03:12:49 2010 +0200

    l10n: Uyghur translation
    
    New status: 188 messages complete with 0 fuzzies and 36 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 96c870a969aca5d16f3698ecd68c3a898641fe99
Author: Nick Schermer <nick@xfce.org>
Date:   Tue May 18 22:30:51 2010 +0200

    Fix typo in autogen.sh.

commit f96f72255ad9646339db81ed651985cff0b14672
Author: Nick Schermer <nick@xfce.org>
Date:   Tue May 18 21:32:41 2010 +0200

    Automate the LINGUAS parsing.

commit 09286203180e54bf8ccc7fc0dddc60162c244f85
Author: Nick Schermer <nick@xfce.org>
Date:   Tue May 18 21:05:19 2010 +0200

    Build ChangeLog from GIT.
    
    Also drop po ChangeLog now we use Transifex.

commit 06046f1723eba7a90e53bdba8a2af4a51fd03db6
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed Feb 24 20:26:52 2010 +0100

    Allow only regular windows to be placed either above or below.

commit bc9e8203b9438dc0066e622d79526e7e854b95cf
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue Feb 23 21:38:34 2010 +0100

    Check for invalid type for GValue to avoid a crash (bug #6195)

commit 957bded4722d5e8f593992ac557af1b7da393839
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue Feb 23 09:11:47 2010 +0100

    Add linkage to libm when compositor is used (bug #6231)

commit e41ca57421ae5e361ced784ad938df1e82008237
Author: Cristian Marchi <cri.penta@gmail.com>
Date:   Thu Feb 11 19:12:56 2010 +0100

    l10n: Updated Italian (it) translation to 100%
    
    New status: 224 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 1519ac8264c8d6253f709dbaa3587a177ad28ba1
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue Feb 9 16:48:31 2010 +0100

    Fix comment

commit fe30b3a618a5f6cb4654d060b3403ade97022b28
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue Feb 9 16:36:46 2010 +0100

    Recent Xorg drivers disable the output when the lid is closed, leaving no active monitor, in that case simply ignore the event to avoid messing with windows' positions (Bug #6209)

commit 7e7ad3e658f486b914e77247ce25cdea0064c727
Author: Timo Verbeek <timoverbeek10@hotmail.com>
Date:   Tue Feb 2 18:10:41 2010 +0100

    l10n: Updated Dutch (Flemish) (nl) translation to 66%
    
    New status: 150 messages complete with 55 fuzzies and 19 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 28951439c284bca65789073c031611bb5966366e
Author: Timo Verbeek <timoverbeek10@hotmail.com>
Date:   Thu Jan 21 16:47:58 2010 +0100

    l10n: Updated Dutch (Flemish) (nl) translation to 33%
    
    New status: 76 messages complete with 121 fuzzies and 27 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 3ec56c9893ed889d8c7cfd26971f620cac50483f
Author: Nick Schermer <nick@xfce.org>
Date:   Fri Dec 18 17:43:50 2009 +0100

    Drop pot file.

commit c776c4a2a2ab0dfeca838620e9598db0b3adc91d
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Nov 23 15:45:12 2009 +0100

    Reloading settings on keys-changed signal is a huge overhead and complete nonsense (fix bug #5964)

commit 32b452ee4a3b6efb512095727a88b534f2f991c6
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue Nov 17 11:51:58 2009 +0100

    Various non-code related cleanups

commit 72434672fca43a9ba170533b6b9f681e96962663
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Oct 11 11:22:07 2009 +0200

    Compute screen size based on each monitor size and layout and avoid using reported size (bug #5795)

commit 9bc095506441b1a0fbe89314850dd5f0695d76df
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Oct 12 14:03:20 2009 +0200

    Typos and type checking, thanks buildbot :)

commit 455157569524053f1383a1b6fe1fa3f162e6d5cf
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Oct 10 20:05:36 2009 +0200

    Keep windows entirely visible on screen change (bug #5795)

commit 941a74f58fdcfdad7eeb47260deea02b84ef149e
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu Oct 1 09:33:18 2009 +0200

    Do not set the "demand attention" flag when the window is alredy focused, refactor the code bit.

commit c2da2d43ba5b1f164cb2cc427e7715769c012cb0
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Sun Jul 26 14:14:01 2009 +0000

    	* src/client.c: Focus window when activate comes from application
    	  (otherwise the taskbar does not focus anymore).
    
    (Old svn revision: 30396)

commit 20844436440f2c6276c5a9829bc6913795e00e14
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Wed Jul 22 08:16:40 2009 +0000

    Place windows on top of stack even when not focused in focus follow mouse.
    (patch by Clifford Jolly<cliff@cliffjolly.com>).
    
    (Old svn revision: 30377)

commit a23b56de10d343c94abce299764d5a5786f7b0b6
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Fri Sep 4 14:02:45 2009 +0200

    gitify the build generation

commit 03d5815fa2647b12dec0c1d25acc66dfe677916b
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Fri Sep 4 16:02:36 2009 +0200

    Use Jannis' autogen.sh script from Thunar

commit 4acb393ff5884167f3ce70ad641f209d7b2de783
Author: Robert Hartl <hartl.robert@gmail.com>
Date:   Wed Nov 4 14:22:18 2009 +0000

    l10n: Updates to Slovak (sk) translation
    
    Transmitted-via: Transifex (translations.xfce.org)

commit e214fd60e52a8efc5b4f27f0be4c1d47dee86162
Author: Nuno Miguel <nunis@netcabo.pt>
Date:   Sun Sep 13 18:04:36 2009 +0000

    l10n: Updates to Portuguese (pt) translation
    
    Transmitted-via: Transifex (translations.xfce.org)

commit 6402de18423e267e148c975881c04ed9d19b1ccc
Author: Denis Koryavov <dkoryavov@yandex.ru>
Date:   Thu Sep 3 07:19:33 2009 +0000

    l10n: Updates to Russian (ru) translation
    
    Transmitted-via: Transifex (translations.xfce.org)

commit 95fa80d426e50c5901924995aabf7fc7c4bce058
Author: Denis Koryavov <dkoryavov@yandex.ru>
Date:   Tue Aug 18 11:59:28 2009 +0000

    l10n: Updates to Russian (ru) translation
    
    Transmitted-via: Transifex (translations.xfce.org)

commit 4f48d5e499daa3eea029d51f9f2a6187e3cb886f
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Aug 17 17:20:55 2009 +0200

    Increase menu button height and redice width to fix bug #5567

commit ac45d89ed9344d147824cf196eb78bbb7455f299
Author: Bauzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Mon Aug 17 02:38:37 2009 +0000

    l10n: New translation to kazakh
    
    Transmitted-via: Transifex (translations.xfce.org)

commit 6025322ca3ddb02e3c760312e6fc493dcf58cd78
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Mon Jul 27 05:58:56 2009 +0000

    	* src/focus.c: Place windows on top of stack even when not focused in
    	  focus follow mouse (Bug #5479).
    	* src/client.c: Transition fullscreen windows back to their original
    	  layer when another window is activated (Bug #3551)
    
    (Old svn revision: 30404)

commit 7a612ce5920367fa5a9eb6bc54ffaa5a8bd7944d
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sat Jul 25 10:18:24 2009 +0000

    2009-07-25  Gabor Kelemen  <kelemeng@gnome.hu>
    
    	* hu.po: Translation updated.
    
    (Old svn revision: 30390)

commit bf556ae85b577a31b92f8104ed2fbf5c7a2f9a94
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Fri Jul 10 12:32:40 2009 +0000

    2009-07-10  Gabor Kelemen  <kelemeng@gnome.hu>
    
    	* hu.po: Translation reworked.
    
    (Old svn revision: 30239)

commit f7e8b637895ad14328dbc28ba19f5be84f523185
Author: Mike Massonnet <mmassonnet@xfce.org>
Date:   Thu Jul 9 12:50:30 2009 +0000

    Add Asturian translations
    
    (Old svn revision: 30230)

commit 06865a6a99936d6aa60d93530f843a5b709ad3f9
Author: Mike Massonnet <mmassonnet@xfce.org>
Date:   Tue Jun 9 20:10:40 2009 +0000

    Drop svn:executable bit from po files
    
    (Old svn revision: 29998)

commit d46efc3ea68dfa8d340a83a4ac281191255d0aa6
Author: Dumitru Moldovan <niznaiul@gmail.com>
Date:   Sat May 30 12:58:12 2009 +0000

    Added initial xfce4-settings Romanian translation
    Changed mail addresses for myself and Romanian language team
    Other minor improvements and updates for libexo, thunar, terminal and xfcalendar
    
    
    
    (Old svn revision: 29989)

commit a1216cb734f50ff62c437d7210f837335294aac8
Author: Mike Massonnet <mmassonnet@xfce.org>
Date:   Fri May 29 10:43:12 2009 +0000

    update xfce-4-6 translations
    
    (Old svn revision: 29987)

commit d5bd33567963012bbb32b6ac5c1125e698d33c48
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Fri May 22 13:19:13 2009 +0000

    	* frame.c, tabwin.c: Fix mixed RTL/LTR text not rendering properly
    	  in title and tabwin
    
    (Old svn revision: 29973)

commit 942c0354c7c4998b6978aeb8d98c9cad367b00e8
Author: Mike Massonnet <mmassonnet@xfce.org>
Date:   Mon May 11 19:19:51 2009 +0000

    update latvian translation
    
    (Old svn revision: 29941)

commit 1ed550cd47cb0598775170c55b65a238af78aab6
Author: Mike Massonnet <mmassonnet@xfce.org>
Date:   Mon Apr 20 14:49:13 2009 +0000

    Merge strings from Xfce trunk to Xfce branch 4.6
    
    For reference, the commands involved:
    for i in xfce_4_6/*; do
            for j in $i/branches/xfce_4_6/po/*.po; do
                    msgmerge xfce/$(basename $i)/trunk/po/$(basename $j) \
                            $i/branches/xfce_4_6/po/$(basename $j) > \
                            $i/branches/xfce_4_6/po/$(basename $j).new
                    mv $i/branches/xfce_4_6/po/$(basename $j) \
                            $i/branches/xfce_4_6/po/$(basename $j | sed 's/\.new//')
            done
    done
    
    
    
    (Old svn revision: 29864)

commit f195133694f25f3323096043ce41b8c1fa94402d
Author: Dumitru Moldovan <niznaiul@gmail.com>
Date:   Mon Apr 20 12:59:02 2009 +0000

    Romanian translation updates for xfwm4 trunk and xfce_4_6
    
    
    
    (Old svn revision: 29858)

commit 5e99d00a9307f80bb1bb7adc034d8c4fac49f51e
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Tue Apr 14 20:50:46 2009 +0000

    	* configure.ac.in: === xfwm4 4.6.1 ===
    
    (Old svn revision: 29800)

commit 15380e9ca734f93846f953522fe9c4a103559fd7
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Sun Apr 12 10:26:11 2009 +0000

    branch xfce 4.6
    
    (Old svn revision: 29776)

commit 1b88029348c4f6c2b240d9cd071a322c68951c5b
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Thu Apr 9 12:11:33 2009 +0000

    Typo
    
    (Old svn revision: 29735)

commit 631857bbecfe2a72a3bfbc471b66d11e07c756d1
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Thu Apr 9 11:30:27 2009 +0000

    	* src/events.c, src/keyboard.c: Fix grab remaining if shortcut is not
    	  used (Bug #5207)
    
    (Old svn revision: 29734)

commit 0872f122dc2ca64965250bf67370781cd79153b1
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Wed Apr 8 12:13:43 2009 +0000

    	* src/compositor.c: Ignore stacking when detecting overlays
    
    (Old svn revision: 29732)

commit c14a2db37da0101adde8795608174527b1cf401a
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Wed Apr 8 10:55:35 2009 +0000

    	* src/parserc.c, src/settings.c, src/events.c: Plug various memory
    	  leaks
    
    (Old svn revision: 29726)

commit ec761b2954164eed7fd72e2769d722605fa694dd
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Tue Apr 7 12:33:09 2009 +0000

    	* src/compositor.c: Make fullscreen override opaque, so screensaver
    	  is not partly transparent even if not unredirecting fullscreen
    	  windows.
    
    (Old svn revision: 29705)

commit bad5e1cda6ecf8698398fcc230b05e4e40337026
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Sun Apr 5 17:00:43 2009 +0000

    	* src/compositor.c: Check fullscreen status against each monitor and not
    	  just the overall screen size in the compositor
    
    (Old svn revision: 29704)

commit bf34252a7548f8370f3fee2e00282b2c753440e3
Author: Per Kongstad <p_kongstad@op.pl>
Date:   Sat Apr 4 10:12:48 2009 +0000

    	* da.po: Danish translation update (Per Kongstad)
    	* da.po: Danish translation update (Per Kongstad)
    	* da.po: Danish translation update (Per Kongstad)
    	* da.po: Danish translation update (Per Kongstad)
    
    (Old svn revision: 29702)

commit 860a741be6d948bb550c3922448b77c6c2bbc6a4
Author: Piotr Sokól <piotr.sokol@10g.pl>
Date:   Mon Mar 30 15:14:15 2009 +0000

    Updated Polish translations
    
    (Old svn revision: 29690)

commit d07f3b44435cc36e338e59e76756fe2416ab2b48
Author: Maximilian Schleiss <maxschleiss@solnet.ch>
Date:   Sun Mar 29 22:03:06 2009 +0000

    Translations updates - es it ku
    
    (Old svn revision: 29689)

commit 2a86f6c5988c86a11ea1da09e64c036807751bad
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Sat Mar 28 17:37:56 2009 +0000

    	* src/netwm.c: Keep window layer when status is above, below or
    	  fullscreen (Bug #5030)
    
    (Old svn revision: 29688)

commit fd1b2125d8b4d3bb55d75be438817f219e9e3ef0
Author: Maximilian Schleiss <maxschleiss@solnet.ch>
Date:   Fri Mar 27 22:27:47 2009 +0000

    Translations updates - gl pt ru
    
    (Old svn revision: 29686)

commit 04a62af5d41e3cffc02143c8e7321a69ceb79609
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Fri Mar 27 15:55:13 2009 +0000

    	* src/placement.c: Do not not fill over adjacent windows (Bug #5152)
    
    (Old svn revision: 29685)

commit 8145d7e088f4a48eadeea6d6978d1e071d7d88ed
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Wed Mar 25 10:34:05 2009 +0000

    	* src/client.c, src/cycle.c: Fix a long standing bug in xfwm4 4.6
    	  were activating a transient would not regrab the mouse on parent
    	  window.
    
    (Old svn revision: 29683)

commit 4aa72b76e9e1648e271f9701492fb2ac701923fa
Author: Piotr Sokól <piotr.sokol@10g.pl>
Date:   Mon Mar 23 10:13:59 2009 +0000

    Updated Polish translations
    
    (Old svn revision: 29682)

commit d6534ae3c7d123606a648b4f8554f2e481975f23
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Thu Mar 19 12:46:50 2009 +0000

    	* src/netwm.c: Do not try to update last user timestamp if the given
    	  timestamp is outdated, that avoids some unecessary warnings for
    	  "Last user time set back to..." upon restart.
    	  Fix raise delay settings in xfwm4 dialog being totally ignored
    
    (Old svn revision: 29674)

commit 20c1540d8d5609eefedcd3e4fd3ce8728a6bddd1
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Thu Mar 19 09:16:34 2009 +0000

    	* settings-dialogs/xfwm4-settings.c,
    	  settings-dialogs/xfwm4-dialog.glade,
    	  src/settings.c: Reduce minimum timeout for focus delay in focus
    	  follow mouse (100ms was way too much),
    
    (Old svn revision: 29673)

commit 00fb4cf97f980a78e90f1b87b06420dbfd9e8aed
Author: Maximilian Schleiss <maxschleiss@solnet.ch>
Date:   Sat Mar 14 14:55:12 2009 +0000

    Translations updates - da es fr gl it nn
    
    (Old svn revision: 29660)

commit 7479326487b45b8746a8fa3fb76c6fa71160eb2a
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Fri Mar 13 10:36:42 2009 +0000

    	* src/focus.c: do not set the demand attendtion flag if the
    	  application itself has set a nil timestamp.
    
    (Old svn revision: 29658)

commit cb304224a6fda01d853e5b8076884c5b42d8975b
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Fri Mar 13 10:28:32 2009 +0000

    	* src/focus.c, serc/netwm.c: Check for nil timestamp regardless of
    	  focus stealing prevention setting, so that applications using
    	  gtk_window_set_focus_on_map() don't get focused even when focus
    	  stealing prevention is disabled (Bug #5044)
    
    (Old svn revision: 29657)

commit 7658cbc0177e14f78ce4e7122be58cab67d8f66f
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Fri Mar 13 10:07:48 2009 +0000

    	* src/compositor.c: Reduce repaint timeout in the compositor
    	  (Bug #5080)
    
    (Old svn revision: 29656)

commit 853c7771c849cd823eda935c60fe426570a9473c
Author: Mike Massonnet <mmassonnet@xfce.org>
Date:   Thu Mar 5 14:52:02 2009 +0000

    Renamed pt_PT to pt and nb_NO to nb (bug #4574)
    
    (Old svn revision: 29645)

commit 322cbcc79730f2882f2b2181aef618cfd2ba4ed0
Author: Maximilian Schleiss <maxschleiss@solnet.ch>
Date:   Sun Mar 1 22:47:35 2009 +0000

    Translations updates - es pl uk
    
    (Old svn revision: 29639)

commit 68970938f567c4678c262e7c308abd85440553e5
Author: Masato Hashimoto <cabezon.hashimoto@gmail.com>
Date:   Sat Feb 28 07:10:29 2009 +0000

    	* ja.po: Japanese translation update (Masato Hashimoto)
    
    (Old svn revision: 29636)

commit a1d747a191bb76995711127f2f5f27603ced0f9f
Author: Stephan Arts <stephan@xfce.org>
Date:   Wed Feb 25 23:03:40 2009 +0000

    == Xfce 4.6.0 Released! ==
    
    
    
    (Old svn revision: 29617)

commit 050b0c2e90eb8c2bd9f1005919510eb266555649
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Tue Feb 24 19:06:19 2009 +0000

    	  settings-dialogs/tweaks-settings.c: Include gdk.h & gdkx.h
    	* settings-dialogs/xfwm4-settings.c,
    
    (Old svn revision: 29573)

commit 71bc28166e71ddc596dc352488509bff9cee1c22
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Tue Feb 24 18:53:37 2009 +0000

    	* settings-dialogs/xfwm4-settings.c,
    	  settings-dialogs/tweaks-settings.c: Do not run setting dialogs if
    	  current window manager is not xfwm4 (Bug #4989).
    
    (Old svn revision: 29572)

commit 244025611bfca21df3491c5cbd0ae2bcd9a1fd8a
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Mon Feb 23 23:59:06 2009 +0000

    	* src/cycle.c, src/moveresize.c: Make sure any active grab on the
    	  keyboard and pointer are released  (Corollary to bug #4959).
    
    (Old svn revision: 29550)

commit 6d99502b9ee65dd4fa7649f9327e64b38707d7ec
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Mon Feb 23 10:06:52 2009 +0000

    	* src/netwm.h, src/netwm.c, src/client.h, src/client.c, src/events.c,
    	  src/focus.c: Capture user time at startup, a bit of refactoring to
    	  avoid duplication of code (that led to this bug to remain after a
    	  similar fix went previously in to events.c in revision 29456).
    
    (Old svn revision: 29542)

commit b4a5a64d026a96c2358d8ef1662b228b9f2d543e
Author: Jean-François Wauthy <pollux@xfce.org>
Date:   Sun Feb 22 16:58:44 2009 +0000

    sorry for the noise
    
    (Old svn revision: 29536)

commit 1ae503e6f72eae50e7e2e858c34dcb55749cd296
Author: Jean-François Wauthy <pollux@xfce.org>
Date:   Sun Feb 22 16:57:53 2009 +0000

    This commit should be blocked by pre-commit-check-po.sh
    
    (Old svn revision: 29535)

commit 6f5b6f9ddf6532d542086f7f00c7f739355d7b16
Author: Maximilian Schleiss <maxschleiss@solnet.ch>
Date:   Fri Feb 20 23:58:46 2009 +0000

    Translations Updates - ca es gl id it pt_PT zh_CN
    
    (Old svn revision: 29526)

commit 81c1a1dbcb8adfdd90bcf75fa9bcbcf3c33201ca
Author: Stavros Giannouris <stavrosg2002@freemail.gr>
Date:   Fri Feb 20 22:04:15 2009 +0000

    Greek translations update by Stavros Giannouris and Evaggelos Balaskas.
    
    (Old svn revision: 29525)

commit 043949d1fad790242bb0ab0eccca68d0efe68385
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Fri Feb 20 22:02:35 2009 +0000

    	* src/events.c: Only release events on identified key shortcut
    	  (Bug #4959).
    
    
    (Old svn revision: 29524)

commit 9efcc9505211eeca5c8159024ad4fcc37f6d896c
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Fri Feb 20 12:37:26 2009 +0000

    	* src/events.c: And do not release events on key release, as Super is
    	  both a modifier and a regular key that repeats, it breaks when used
    	  as a modifier (Bug #4959).
    
    
    (Old svn revision: 29519)

commit 8133e62e92b9def06011c6e6901e653fc111f5c0
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Thu Feb 19 12:54:58 2009 +0000

    	* src/events.c: Use timestamp provided by the event itself to
    	  release queued events (Bug #4959).
    
    
    (Old svn revision: 29516)

commit 4e3c30566d55471d40d56fff2023a18f83dddd82
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Thu Feb 19 11:21:29 2009 +0000

    	* src/events.c: Use more appropriate callback function name (trivial).
    
    
    (Old svn revision: 29515)

commit dea2097b2247a77a6e74fb5bcb335d700fae638b
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Thu Feb 19 09:56:25 2009 +0000

    	* src/settings.c, src/events.c, src/screen.c, src/screen.h: Apply
    	  font settings changes in real time (DPI, hinting, hint style, rgba).
    
    
    (Old svn revision: 29514)

commit e0104830ea53942d09ca3b92835a7a44ca23501f
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Wed Feb 18 22:21:16 2009 +0000

    	* settings-dialogs/workspace-settings.c: Fix limits for margin being
    	  inverted - patch by Mike Massonnet <mike.massonnet@gmail.com>
    	  (Bug #4931).
    
    
    (Old svn revision: 29513)

commit 1ac1d0755520a30aa69cec9650dd9174f76f66e5
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Wed Feb 18 22:17:27 2009 +0000

    	* src/placement.c: Same, still not right (Bug #4960).
    
    
    (Old svn revision: 29512)

commit 5c62fc08139252e519126b3f16b8a45bfe9935c6
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Wed Feb 18 19:39:36 2009 +0000

    	* src/placement.c: Fix size not properly computed by the fill
    	  function with a dock on top or left (Bug #4960).
    
    
    (Old svn revision: 29511)

commit b8536020fa535b04f0eaa3b014ea6c7b2597fc77
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Tue Feb 17 09:31:28 2009 +0000

    	* src/keyboard.c: Use proper type for returned value.
    
    
    (Old svn revision: 29498)

commit c731b7fbedafd927ba00c66cc77682088beedb69
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Mon Feb 16 11:11:27 2009 +0000

    	* src/events.c, src/client.c: Fix ICCCM synthetic unmap notify
    	  handling causing a race condition with amule when started hidden
    	  to system tray (Bug #4928). Note: This is still unclear to me
    	  what is correct behaviour here, the problem reported in bug
    	  #4928 happens with some other window managers too (e.g. kwin from
    	  kde 4.2, fluxbox) but not with others (openbox, metacity, icewm).
    
    (Old svn revision: 29493)

commit 70eeb59663c8d88f3969a3f5ec77c8dc91d0aaaa
Author: Maximilian Schleiss <maxschleiss@solnet.ch>
Date:   Sun Feb 8 08:20:15 2009 +0000

    Translations udaptes - de id ja nb pl zh_CN
    
    (Old svn revision: 29472)

commit 03404f16148bb76cb2fa2f71a5b25410e15647a1
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Sat Feb 7 20:14:26 2009 +0000

    Use revision 29463 for libxfce4kbd_private minimum revision just like in xfce4-settings
    
    (Old svn revision: 29469)

commit be3e2804e795a0cf6e796b911efc13df2ff496bd
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Sat Feb 7 20:10:39 2009 +0000

    	* settings-dialogs/xfwm4-settings.c : Add the new parameter required
    	  for the API change for xfce_shortcut_dialog_run(),
    	  Add dependecy on libxfce4kbd_private revision.
    	* src/events.c : Fix user time not being taken from the user time
    
    
    (Old svn revision: 29467)

commit 1e97ca3e19efd7603e276eeb6ceb7bf22c2719bc
Author: Alexander Toresson <alexander.toresson@gmail.com>
Date:   Sat Feb 7 20:02:49 2009 +0000

    xfwm4/trunk/po:
    	* sv.po: Swedish translation update (Daniel Nylander)
    xfconf/trunk/po:
    	* sv.po: Swedish translation update (Daniel Nylander)
    
    (Old svn revision: 29466)

commit 487ead8df0f23b2190d9c943fa517772baf8cc82
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Sat Feb 7 00:39:28 2009 +0000

    	* src/events.c, : Fix user time not being taken from the user time
    	  window for apps which support that protocol, that was breaking
    	  focus stealing prevention for all gtk,
    	  src/focus.c: Do not automatically give focus to windows placed on
    	  lower layers, but focus those on upper layers at first map.
    
    
    (Old svn revision: 29456)

commit ba5bb567d266defebea9bc48bbe19b61d6e7c58f
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Thu Feb 5 13:06:46 2009 +0000

    	* settings-dialogs/xfwm4-dialog.glade: Set minimum value for
    	  wrap_resistance and snap_width (0 is not a valid value)
    	  src/settings.c: clamp values to sensible defaults
    	  src/events.c, src/moveresize.c: reduce the warping distance of the
    	  mouse pointer (bug #3290)
    
    (Old svn revision: 29454)

commit c904edfb9989db11a740698336fd9bdacab32cde
Author: Og Maciel <ogmaciel@gnome.org>
Date:   Thu Feb 5 01:23:21 2009 +0000

    Updated Brazilian Portuguese translation.
    
    (Old svn revision: 29451)

commit 3e9ef01fb0cfbfa6b4e692e086da44c112b4ccd6
Author: Maximilian Schleiss <maxschleiss@solnet.ch>
Date:   Tue Feb 3 21:07:56 2009 +0000

    Translations updates - en_GB es
    
    (Old svn revision: 29443)

commit 092b171ea8c30dba1684420810f3c17130f824af
Author: Jannis Pohlmann <jannis@xfce.org>
Date:   Sun Feb 1 22:42:42 2009 +0000

    	* NEWS: Update NEWS file.
    	* settings-dialogs/xfwm4-settings.c: When stealing a shortcut from
    	  another shortcuts provider, clear the shortcut of that provider
    	  first.
    
    (Old svn revision: 29427)

commit 31b5282ab75e3f5fc2120946732bced2de8803b9
Author: Jannis Pohlmann <jannis@xfce.org>
Date:   Sun Feb 1 13:35:26 2009 +0000

    	* settings-dialogs/xfwm4-settings.c: Only display shortcut conflict
    	  dialog if the action of the new shortcut differs from the one
    	  that's being edited.
    
    (Old svn revision: 29423)

commit be6f13c65598b360a82b813f81ced1c68ef82e15
Author: Michal Varady <miko.vaji@gmail.com>
Date:   Sun Feb 1 01:03:59 2009 +0000

    Czech translation fixed
    
    (Old svn revision: 29419)

commit 65c66ed5e8f46f87c748bf809749c76a7121cc1f
Author: Eren Turkay <turkay.eren@gmail.com>
Date:   Sat Jan 31 17:38:45 2009 +0000

    Turkish translation update by Gokmen Gorgen and Samed Beyribey
    
    (Old svn revision: 29417)

commit deab146d77a9c7ab048483702cc103ce399381d7
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Thu Jan 29 20:50:40 2009 +0000

    	* src/placement.c: Apparently someone is confusing East and West :)
    	  Fix fill function not working with multiscreen.
    
    
    (Old svn revision: 29409)

commit 88e6c153e759019409f339d73583809e2a18841c
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Thu Jan 29 20:47:48 2009 +0000

    	* src/events.c: Clear monitor cache when the screen size changes, but
    	  avoid redoing the work twice in the case of a monitor-changed event.
    
    
    (Old svn revision: 29408)

commit 6b637d354955a9e3401f138d0741f5d1370b7fea
Author: Jannis Pohlmann <jannis@xfce.org>
Date:   Mon Jan 26 01:24:11 2009 +0000

    	* == 4.5.99.1 released! ==
    	* NEWS: Update NEWS file for the release.
    	* configure.ac.in: Bump version number and dependencies.
     	* xfwm4.pot, *.po: Update translation files for the release.
    
    (Old svn revision: 29379)

commit 174ad44f84173314df6afc779c7519442aba60f2
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Sun Jan 25 23:15:32 2009 +0000

    	* settings-dialogs/xfwm4-settings.c: gtk, not glib for
    	  gtk_selection_data_get_data()
    
    (Old svn revision: 29365)

commit 15364b11cbc59d6c79bcb1cfe07dbb67ea333d22
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Sun Jan 25 21:00:33 2009 +0000

    	* settings-dialogs/xfwm4-settings.c: gtk_selection_data_get_data() is
    	  gtk+2.14 (Bug #4855)
    
    (Old svn revision: 29352)

commit 1afd2215f6c63e80c40d064fa156171ac797049c
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Sun Jan 25 17:59:12 2009 +0000

    	* settings-dialogs/xfwm4-settings.c,
    	  settings-dialogs/xfwm4-dialog.glade: Make title alignment and button
    	  layout insensitive when not supported by the theme selected, fix a
    	  memory leak,
    	  configure.ac.in: Remove AC_C_CONST
    	* settings-dialogs/xfwm4-settings.c: Fix dragging button layout when
    	  the dialog is embedded in the settings dialog (Bug #4524).
    
    (Old svn revision: 29349)

commit 3a196df3ca14fa72f026d0c30570949f84157555
Author: Nick Schermer <nick@xfce.org>
Date:   Sun Jan 25 16:38:35 2009 +0000

    Fix dragging button layout when the dialog is embedded in the settings dialog (Bug #4524).
    
    
    (Old svn revision: 29347)

commit f128147411a235b1651520b7620f03b35c86c5a5
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Sat Jan 24 23:42:37 2009 +0000

    	* src/display.c, src/display.h, src/events.c, src/client.c
    	  src/client.h, src/hints.c, src/hints.h, src/netwm.c, README:
    	  Add support for NET_WM_FULLSCREEN_MONITORS
    
    (Old svn revision: 29311)

commit a97cd94cbe32ebf35f4e721e2d6bb6886fd0239d
Author: Per Kongstad <p_kongstad@op.pl>
Date:   Sat Jan 24 17:27:46 2009 +0000

    	* da.po: Danish translation update (Per Kongstad)
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
     	* da.poÆ Danish translation update (Per Kongstad)
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    (Old svn revision: 29308)

commit 940fd6eb1248c9f20868fa326f4625b8fc5d9250
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Fri Jan 23 22:36:35 2009 +0000

    	* src/parserc.c, src/settings.c, src/settings.c: Fix settings not
    	  being set at startup (Bug #4845)
    	  themes/default/*: Flatten default theme
    
    (Old svn revision: 29303)

commit 7b66e23451b1394bb16fda988350bd0d135c9f92
Author: Olivier Fourdan <fourdan.olivier@wanadoo.fr>
Date:   Wed Jan 21 19:02:13 2009 +0000

    	* src/main.c: Command line option "--daemon" would have no effect
    	  when xfwm4 connects to the session manager.
    
